[Mapserver-users] Issues Installing Mapserver 4.0.1

Daniel Morissette dmorissette at dmsolutions.ca
Thu Apr 1 13:07:21 EST 2004

sgay at earthsat.com wrote:
> php_mapscript_util.c: In function `_phpms_object_init':
> php_mapscript_util.c:476: error: `tsrm_ls' undeclared (first use in this 
> function)
> php_mapscript_util.c:476: error: (Each undeclared identifier is reported 
> only once
> php_mapscript_util.c:476: error: for each function it appears in.)

I don't remember seeing this error in a release build, but it probably 
relates to Zend's thread-safety stuff which would suggest that your PHP 
is not compiled as a CGI.  This is just a guess, I could be wrong, but 
you could try making sure that your PHP is compiled as a CGI and not as 
a module

  Daniel Morissette               dmorissette at dmsolutions.ca
  DM Solutions Group              http://www.dmsolutions.ca/

More information about the mapserver-users mailing list